//*****************************************
// AT mega168 Para LCD Check Program
// CPU Clock:1MHz
//   iq[Yf[^@WāAIV[^(8MHz)ɂj
//
// File Name:timer.c
//
//  2014/04/11 Taishi
//*****************************************

#include	"timer.h"

// **********************************************************
// ********************** Soft Timer ************************
// **********************************************************

volatile unsigned int	wait_i;
volatile unsigned int	wait_j;
volatile unsigned char	wait_us;
// ************************************
// Delay 16uS
// t: 16uS (max 255)
// ************************************
void delay_16us(unsigned char t)
{
	while(t-- != 0){
		wait_us++;				// 1uS Delay??
	}
}
//***************************
// Wait
//  tm : Wait Time(ms) max. 8000
// CPU Clock:1MHz
//***************************
void	delay_ms(int tm)
{

	tm *= 2;
	for(wait_i = 0; wait_i < tm; wait_i++){
		delay_16us(63);
	}
}

